cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jbforster
Level 4

Facing issues with safenet key ID detection

Jump to solution

We are facing an issue for working on old Safenet keys. Is this expected?

We started using new version of Autocad and then it has stopped working.

0 Kudos
1 Solution
aparashar1
Flexera Alumni

@jbforster , 

can you refer to this KB article and let us know, if this helps?

Link : https://community.flexera.com/t5/FlexNet-Publisher-Knowledge-Base/Older-legacy-HASP-dongle-support-w...

There is another KB article created which explains about the dll incompatibility in between v11.16.0 (and later version dl's) and v11.13.1 and older clients. here:

https://community.flexera.com/t5/FlexNet-Publisher-Knowledge-Base/Backward-compatibility-for-HASP-dongles-broken-starting-FNP-11/ta-p/147960/jump-to/first-unread-message

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)

View solution in original post

0 Kudos
5 Replies
aparashar1
Flexera Alumni

@jbforster , 

can you refer to this KB article and let us know, if this helps?

Link : https://community.flexera.com/t5/FlexNet-Publisher-Knowledge-Base/Older-legacy-HASP-dongle-support-w...

There is another KB article created which explains about the dll incompatibility in between v11.16.0 (and later version dl's) and v11.13.1 and older clients. here:

https://community.flexera.com/t5/FlexNet-Publisher-Knowledge-Base/Backward-compatibility-for-HASP-dongles-broken-starting-FNP-11/ta-p/147960/jump-to/first-unread-message

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)
0 Kudos

We had lates dll in use. Replacing it with suggested version of Flexnet toolkit 11.15.1 takes care of issue. 

Thanks

0 Kudos

@aparashar1 , we are using  v7.10 dongle drivers and certificate and our audit team has mentioned few vulnerabilities with those. to be named:

CVE-2019-15903

CVE-2018-20843

Can you confirm if flexlm is vulnerable to these ?

0 Kudos

@jbforster , i had raised these queries with Thales engineering and the inputs are mentioned here:

https://community.flexera.com/t5/FlexNet-Publisher-Knowledge-Base/Expat-vulnerability-with-HASP-components-v7-100/ta-p/149176

Kindly refer to it and let me know, if you need any further assistance with this concern.

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)

Appreciate the confirmation. provided info should help. Thanks

0 Kudos